Bug 16413 - xinerama hangs
xinerama hangs
Status: CLOSED WONTFIX
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-16 23:00 EDT by zwhitley
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-30 14:07:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description zwhitley 2000-08-16 23:01:00 EDT
starting x with startx +xinerama hangs.  Seems to be a problem with the
mouse.... 



XFree86 Version 4.0 / X Window System
(protocol Version 11, revision 0, vendor release 6400)
Release Date: 8 March 2000
        If the server is older than 6-12 months, or if your card is newer
        than the above date, look for a newer version before reporting
        problems.  (see http://www.XFree86.Org/FAQ)
Operating System: Linux 2.2.12-20 i686 [ELF] 
Module Loader present
(==) Log file: "/var/log/XFree86.0.log", Time: Wed Aug 16 14:16:09 2000
(==) Using config file: "/etc/X11/XF86Config-4"
Markers: (--) probed, (**) from config file, (==) default setting,
         (++) from command line, (!!) notice, (II) informational,
         (WW) warning, (EE) error, (??) unknown.
(==) ServerLayout "XFree86 Configured"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "Monitor0"
(**) |   |-->Device "3Dfx Interactive, Inc.|Voodoo 3_A"
(**) |-->Screen "Screen1" (1)
(**) |   |-->Monitor "Monitor1"
(**) |   |-->Device "3Dfx Interactive, Inc.|Voodoo 3_B"
(**) |-->Input Device "Mouse0"
(**) |-->Input Device "Keyboard0"
(**) Option "XkbLayout" "us"
(**) XKB: layout: "us"
(++) Xinerama: enabled
(**) FontPath set to "unix/:7100"
(==) RgbPath set to "/usr/X11R6/lib/X11/rgb"
(==) ModulePath set to "/usr/X11R6/lib/modules"
(--) using VT number 7

(II) Module ABI versions:
        XFree86 ANSI C Emulation: 0.1
        XFree86 Video Driver: 0.1
        XFree86 XInput driver : 0.1
        XFree86 Server Extension : 0.1
        XFree86 Font Renderer : 0.1
(II) Loader running on linux
(II) LoadModule: "bitmap"
(II) Loading /usr/X11R6/lib/modules/fonts/libbitmap.a
(II) Module bitmap: vendor="The XFree86 Project"
        compiled for 4.0, module version = 1.0.0
        Module class: XFree86 Font Renderer
        ABI class: XFree86 Font Renderer, version 0.1
(II) Loading font Bitmap
(II) LoadModule: "pcidata"
(II) Loading /usr/X11R6/lib/modules/libpcidata.a
(II) Module pcidata: vendor="The XFree86 Project"
        compiled for 4.0, module version = 0.1.0
        ABI class: XFree86 Video Driver, version 0.1
(II) PCI: Probing config type using method 1
(II) PCI: Config type is 1
(II) PCI: stages = 0x03, oldVal1 = 0x8000480c, mode1Res1 = 0x80000000
(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:00:0: chip 10b9,1541 card 10b9,1541 rev 04 class 06,00,00 hdr
00
(II) PCI: 00:01:0: chip 10b9,5243 card 0000,0000 rev 04 class 06,04,00 hdr
01
(II) PCI: 00:03:0: chip 10b9,7101 card 10b9,7101 rev 00 class 06,80,00 hdr
00
(II) PCI: 00:07:0: chip 10b9,1533 card 0000,0000 rev c3 class 06,01,00 hdr
00
(II) PCI: 00:09:0: chip 11ad,0002 card 1385,f004 rev 21 class 02,00,00 hdr
00
(II) PCI: 00:0a:0: chip 9004,8178 card 9004,7881 rev 01 class 01,00,00 hdr
00
(II) PCI: 00:0b:0: chip 121a,0005 card 121a,0036 rev 01 class 03,00,00 hdr
00
(II) PCI: 00:0c:0: chip 121a,0005 card 121a,0036 rev 01 class 03,00,00 hdr
00
(II) PCI: 00:0f:0: chip 10b9,5229 card 0000,0000 rev c1 class 01,01,8f hdr
00
(II) PCI: End of PCI scan
(II) LoadModule: "scanpci"
(II) Loading /usr/X11R6/lib/modules/libscanpci.a
(II) Module scanpci: vendor="The XFree86 Project"
        compiled for 4.0, module version = 0.1.0
        ABI class: XFree86 Video Driver, version 0.1
(II) UnloadModule: "scanpci"
(II) Unloading /usr/X11R6/lib/modules/libscanpci.a
(II) Bus 1: bridge is at (0:1:0), (0,1,1), BCTRL: 0x00 (VGA_EN is cleared)
(II) Bus 1 I/O range:
(II) Bus 1 non-prefetchable memory range:
(II) Bus 1 prefetchable memory range:
(--) PCI:*(0:11:0) 3Dfx Interactive Voodoo3 rev 1, Mem @ 0xd4000000/25,
0xe4000000/25, I/O @ 0xd000/8
(--) PCI: (0:12:0) 3Dfx Interactive Voodoo3 rev 1, Mem @ 0xd2000000/25,
0xe0000000/25, I/O @ 0xb800/8
(II) Addressable bus resource ranges are
        [0] -1  0x00000000 - 0xffffffff (0x0) MXB
        [1] -1  0x00000000 - 0x0000ffff (0x10000) IXB
(II) OS-reported resource ranges:
        [0] -1  0xffe00000 - 0xffffffff (0x200000) MXB(B)
        [1] -1  0xfee00000 - 0xfeefffff (0x100000) MXB(B)
        [2] -1  0xfec00000 - 0xfecfffff (0x100000) MXB(B)
        [3] -1  0x00100000 - 0x3fffffff (0x3ff00000) MXBE(B)
        [4] -1  0x000f0000 - 0x000fffff (0x10000) MXB
        [5] -1  0x000c0000 - 0x000effff (0x30000) MXB
        [6] -1  0x00000000 - 0x0009ffff (0xa0000) MXB
        [7] -1  0x00000000 - 0x000001ff (0x200) IXBE
(II) Active PCI resource ranges:
        [0] -1  0xd6800000 - 0xd6ffffff (0x800000) MXBE
        [1] -1  0xd7000000 - 0xd7ffffff (0x1000000) MXBE
        [2] -1  0xd8000000 - 0xdfffffff (0x8000000) MXBE
        [3] -1  0x000c0000 - 0x000cffff (0x10000) MXB(B)
        [4] -1  0xe4000000 - 0xe5ffffff (0x2000000) MXB(B)
        [5] -1  0xd4000000 - 0xd5ffffff (0x2000000) MXB(B)
        [6] -1  0x0000b400 - 0x0000b4ff (0x100) IXBE
        [7] -1  0x00000374 - 0x00000377 (0x4) IXBE
        [8] -1  0x00000170 - 0x0000017f (0x10) IXBE
        [9] -1  0x000003f4 - 0x000003f7 (0x4) IXBE
        [10] -1 0x000001f0 - 0x000001ff (0x10) IXBE
        [11] -1 0x0000d400 - 0x0000d4ff (0x100) IXBE
        [12] -1 0x0000d800 - 0x0000d8ff (0x100) IXBE
        [13] -1 0x0000d000 - 0x0000d0ff (0x100) IXB(B)
(II) Inactive PCI resource ranges:
        [0] -1  0xdfff0000 - 0xdfffffff (0x10000) MXB(B)
        [1] -1  0xe0000000 - 0xe1ffffff (0x2000000) MXB(B)
        [2] -1  0xd2000000 - 0xd3ffffff (0x2000000) MXB(B)
        [3] -1  0x0000b800 - 0x0000b8ff (0x100) IXB(B)
(II) Active PCI resource ranges after removing overlaps:
        [0] -1  0xd6800000 - 0xd6ffffff (0x800000) MXBE
        [1] -1  0xd7000000 - 0xd7ffffff (0x1000000) MXBE
        [2] -1  0xd8000000 - 0xdfffffff (0x8000000) MXBE
        [3] -1  0x000c0000 - 0x000cffff (0x10000) MXB(B)
        [4] -1  0xe4000000 - 0xe5ffffff (0x2000000) MXB(B)
        [5] -1  0xd4000000 - 0xd5ffffff (0x2000000) MXB(B)
        [6] -1  0x0000b400 - 0x0000b4ff (0x100) IXBE
        [7] -1  0x00000374 - 0x00000377 (0x4) IXBE
        [8] -1  0x00000170 - 0x0000017f (0x10) IXBE
        [9] -1  0x000003f4 - 0x000003f7 (0x4) IXBE
        [10] -1 0x000001f0 - 0x000001ff (0x10) IXBE
        [11] -1 0x0000d400 - 0x0000d4ff (0x100) IXBE
        [12] -1 0x0000d800 - 0x0000d8ff (0x100) IXBE
        [13] -1 0x0000d000 - 0x0000d0ff (0x100) IXB(B)
(WW) Unresolvable overlap at 0x000c0000
(II) OS-reported resource ranges after removing overlaps with PCI:
        [0] -1  0xffe00000 - 0xffffffff (0x200000) MXB(B)
        [1] -1  0xfee00000 - 0xfeefffff (0x100000) MXB(B)
        [2] -1  0xfec00000 - 0xfecfffff (0x100000) MXB(B)
        [3] -1  0x00100000 - 0x3fffffff (0x3ff00000) MXBE(B)
        [4] -1  0x000f0000 - 0x000fffff (0x10000) MXB
        [5] -1  0x000c0000 - 0x000effff (0x30000) MXB
        [6] -1  0x00000000 - 0x0009ffff (0xa0000) MXB
        [7] -1  0x00000000 - 0x0000016f (0x170) IXBE
(II) All system resource ranges:
        [0] -1  0xffe00000 - 0xffffffff (0x200000) MXB(B)
        [1] -1  0xfee00000 - 0xfeefffff (0x100000) MXB(B)
        [2] -1  0xfec00000 - 0xfecfffff (0x100000) MXB(B)
        [3] -1  0x00100000 - 0x3fffffff (0x3ff00000) MXBE(B)
        [4] -1  0x000f0000 - 0x000fffff (0x10000) MXB
        [5] -1  0x000c0000 - 0x000effff (0x30000) MXB
        [6] -1  0x00000000 - 0x0009ffff (0xa0000) MXB
        [7] -1  0xd6800000 - 0xd6ffffff (0x800000) MXBE
        [8] -1  0xd7000000 - 0xd7ffffff (0x1000000) MXBE
        [9] -1  0xd8000000 - 0xdfffffff (0x8000000) MXBE
        [10] -1 0x000c0000 - 0x000cffff (0x10000) MXB(B)
        [11] -1 0xe4000000 - 0xe5ffffff (0x2000000) MXB(B)
        [12] -1 0xd4000000 - 0xd5ffffff (0x2000000) MXB(B)
        [13] -1 0xdfff0000 - 0xdfffffff (0x10000) MXB(B)
        [14] -1 0xe0000000 - 0xe1ffffff (0x2000000) MXB(B)
        [15] -1 0xd2000000 - 0xd3ffffff (0x2000000) MXB(B)
        [16] -1 0x00000000 - 0x0000016f (0x170) IXBE
        [17] -1 0x0000b400 - 0x0000b4ff (0x100) IXBE
        [18] -1 0x00000374 - 0x00000377 (0x4) IXBE
        [19] -1 0x00000170 - 0x0000017f (0x10) IXBE
        [20] -1 0x000003f4 - 0x000003f7 (0x4) IXBE
        [21] -1 0x000001f0 - 0x000001ff (0x10) IXBE
        [22] -1 0x0000d400 - 0x0000d4ff (0x100) IXBE
        [23] -1 0x0000d800 - 0x0000d8ff (0x100) IXBE
        [24] -1 0x0000d000 - 0x0000d0ff (0x100) IXB(B)
        [25] -1 0x0000b800 - 0x0000b8ff (0x100) IXB(B)
(II) LoadModule: "GLcore"
(II) Loading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) Module GLcore: vendor="The XFree86 Project"
        compiled for 4.0, module version = 1.0.0
        ABI class: XFree86 Server Extension, version 0.1
(II) LoadModule: "dbe"
(II) Loading /usr/X11R6/lib/modules/extensions/libdbe.a
(II) Module dbe: vendor="The XFree86 Project"
        compiled for 4.0, module version = 1.0.0
        Module class: XFree86 Server Extension
        ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "dri"
(II) Loading /usr/X11R6/lib/modules/extensions/libdri.a
(II) Module dri: vendor="The XFree86 Project"
        compiled for 4.0, module version = 1.0.0
        ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension XFree86-DRI
(II) Loading sub module "drm"
(II) LoadModule: "drm"
(II) Loading /usr/X11R6/lib/modules/linux/libdrm.a
(II) Module drm: vendor="The XFree86 Project"
        compiled for 4.0, module version = 1.0.0
        ABI class: XFree86 Server Extension, version 0.1
(II) LoadModule: "extmod"
(II) Loading /usr/X11R6/lib/modules/extensions/libextmod.a
(II) Module extmod: vendor="The XFree86 Project"
        compiled for 4.0, module version = 1.0.0
        Module class: XFree86 Server Extension
        ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension FontCache
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) LoadModule: "glx"
(II) Loading /usr/X11R6/lib/modules/extensions/libglx.a
(II) Module glx: vendor="The XFree86 Project"
        compiled for 4.0, module version = 1.0.0
        ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension GLX
(II) Loading sub module "GLcore"
(II) LoadModule: "GLcore"
(II) Reloading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) LoadModule: "pex5"
(II) Loading /usr/X11R6/lib/modules/extensions/libpex5.a
(II) Module pex5: vendor="The XFree86 Project"
        compiled for 4.0, module version = 1.0.0
        Module class: XFree86 Server Extension
        ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension X3D-PEX
(II) LoadModule: "record"
(II) Loading /usr/X11R6/lib/modules/extensions/librecord.a
(II) Module record: vendor="The XFree86 Project"
        compiled for 4.0, module version = 1.13.0
        Module class: XFree86 Server Extension
        ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension RECORD
(II) LoadModule: "xie"
(II) Loading /usr/X11R6/lib/modules/extensions/libxie.a
(II) Module xie: vendor="The XFree86 Project"
        compiled for 4.0, module version = 1.0.0
        Module class: XFree86 Server Extension
        ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension XIE
(II) LoadModule: "tdfx"
(II) Loading /usr/X11R6/lib/modules/drivers/tdfx_drv.o
(II) Module tdfx: vendor="The XFree86 Project"
        compiled for 4.0, module version = 1.0.0
        Module class: XFree86 Video Driver
        ABI class: XFree86 Video Driver, version 0.1
(II) LoadModule: "mouse"
(II) Loading /usr/X11R6/lib/modules/input/mouse_drv.o
(II) Module mouse: vendor="The XFree86 Project"
      compiled for 4.0, module version = 1.0.0
        Module class: XFree86 XInput Driver
        ABI class: XFree86 XInput driver, version 0.1
(II) TDFX: Driver for 3dfx Banshee/Voodoo3 chipsets: 3dfx Banshee,
        3dfx Voodoo3, 3dfx Voodoo5
(--) Chipset 3dfx Voodoo3 found
(--) Chipset 3dfx Voodoo3 found
(II) resource ranges after xf86ClaimFixedResources() call:
        [0] -1  0xffe00000 - 0xffffffff (0x200000) MXB(B)
        [1] -1  0xfee00000 - 0xfeefffff (0x100000) MXB(B)
        [2] -1  0xfec00000 - 0xfecfffff (0x100000) MXB(B)
        [3] -1  0x00100000 - 0x3fffffff (0x3ff00000) MXBE(B)
        [4] -1  0x000f0000 - 0x000fffff (0x10000) MXB
        [5] -1  0x000c0000 - 0x000effff (0x30000) MXB
        [6] -1  0x00000000 - 0x0009ffff (0xa0000) MXB
        [7] -1  0xd6800000 - 0xd6ffffff (0x800000) MXBE
        [8] -1  0xd7000000 - 0xd7ffffff (0x1000000) MXBE
        [9] -1  0xd8000000 - 0xdfffffff (0x8000000) MXBE
        [10] -1 0x000c0000 - 0x000cffff (0x10000) MXB(B)
        [11] -1 0xe4000000 - 0xe5ffffff (0x2000000) MXB(B)
        [12] -1 0xd4000000 - 0xd5ffffff (0x2000000) MXB(B)
        [13] -1 0xdfff0000 - 0xdfffffff (0x10000) MXB(B)
        [14] -1 0xe0000000 - 0xe1ffffff (0x2000000) MXB(B)
        [15] -1 0xd2000000 - 0xd3ffffff (0x2000000) MXB(B)
        [16] -1 0x00000000 - 0x0000016f (0x170) IXBE
        [17] -1 0x0000b400 - 0x0000b4ff (0x100) IXBE
        [18] -1 0x00000374 - 0x00000377 (0x4) IXBE
        [19] -1 0x00000170 - 0x0000017f (0x10) IXBE
        [20] -1 0x000003f4 - 0x000003f7 (0x4) IXBE
        [21] -1 0x000001f0 - 0x000001ff (0x10) IXBE
        [22] -1 0x0000d400 - 0x0000d4ff (0x100) IXBE
        [23] -1 0x0000d800 - 0x0000d8ff (0x100) IXBE
        [24] -1 0x0000d000 - 0x0000d0ff (0x100) IXB(B)
        [25] -1 0x0000b800 - 0x0000b8ff (0x100) IXB(B)
(II) resource ranges after xf86ClaimFixedResources() call:
        [0] -1  0xffe00000 - 0xffffffff (0x200000) MXB(B)
        [1] -1  0xfee00000 - 0xfeefffff (0x100000) MXB(B)
        [2] -1  0xfec00000 - 0xfecfffff (0x100000) MXB(B)
        [3] -1  0x00100000 - 0x3fffffff (0x3ff00000) MXBE(B)
        [4] -1  0x000f0000 - 0x000fffff (0x10000) MXB
        [5] -1  0x000c0000 - 0x000effff (0x30000) MXB
        [6] -1  0x00000000 - 0x0009ffff (0xa0000) MXB
        [7] -1  0xd6800000 - 0xd6ffffff (0x800000) MXBE
        [8] -1  0xd7000000 - 0xd7ffffff (0x1000000) MXBE
        [9] -1  0xd8000000 - 0xdfffffff (0x8000000) MXBE
        [10] -1 0x000c0000 - 0x000cffff (0x10000) MXB(B)
        [11] -1 0xe4000000 - 0xe5ffffff (0x2000000) MXB(B)
        [12] -1 0xd4000000 - 0xd5ffffff (0x2000000) MXB(B)
        [13] -1 0xdfff0000 - 0xdfffffff (0x10000) MXB(B)
        [14] -1 0xe0000000 - 0xe1ffffff (0x2000000) MXB(B)
        [15] -1 0xd2000000 - 0xd3ffffff (0x2000000) MXB(B)
        [16] -1 0x00000000 - 0x0000016f (0x170) IXBE
        [17] -1 0x0000b400 - 0x0000b4ff (0x100) IXBE
        [18] -1 0x00000374 - 0x00000377 (0x4) IXBE
      [19] -1 0x00000170 - 0x0000017f (0x10) IXBE
        [20] -1 0x000003f4 - 0x000003f7 (0x4) IXBE
        [21] -1 0x000001f0 - 0x000001ff (0x10) IXBE
        [22] -1 0x0000d400 - 0x0000d4ff (0x100) IXBE
        [23] -1 0x0000d800 - 0x0000d8ff (0x100) IXBE
        [24] -1 0x0000d000 - 0x0000d0ff (0x100) IXB(B)
        [25] -1 0x0000b800 - 0x0000b8ff (0x100) IXB(B)
(II) resource ranges after probing:
        [0] -1  0xffe00000 - 0xffffffff (0x200000) MXB(B)
        [1] -1  0xfee00000 - 0xfeefffff (0x100000) MXB(B)
        [2] -1  0xfec00000 - 0xfecfffff (0x100000) MXB(B)
        [3] -1  0x00100000 - 0x3fffffff (0x3ff00000) MXBE(B)
        [4] -1  0x000f0000 - 0x000fffff (0x10000) MXB
        [5] -1  0x000c0000 - 0x000effff (0x30000) MXB
        [6] -1  0x00000000 - 0x0009ffff (0xa0000) MXB
        [7] -1  0xd6800000 - 0xd6ffffff (0x800000) MXBE
        [8] -1  0xd7000000 - 0xd7ffffff (0x1000000) MXBE
        [9] -1  0xd8000000 - 0xdfffffff (0x8000000) MXBE
        [10] -1 0x000c0000 - 0x000cffff (0x10000) MXB(B)
        [11] -1 0xe4000000 - 0xe5ffffff (0x2000000) MXB(B)
        [12] -1 0xd4000000 - 0xd5ffffff (0x2000000) MXB(B)
        [13] -1 0xdfff0000 - 0xdfffffff (0x10000) MXB(B)
        [14] -1 0xe0000000 - 0xe1ffffff (0x2000000) MXB(B)
        [15] -1 0xd2000000 - 0xd3ffffff (0x2000000) MXB(B)
        [16] 0  0x000a0000 - 0x000affff (0x10000) MSB
        [17] 0  0x000b0000 - 0x000b7fff (0x8000) MSB
        [18] 0  0x000b8000 - 0x000bffff (0x8000) MSB
        [19] 1  0x000a0000 - 0x000affff (0x10000) MSB
        [20] 1  0x000b0000 - 0x000b7fff (0x8000) MSB
        [21] 1  0x000b8000 - 0x000bffff (0x8000) MSB
        [22] -1 0x00000000 - 0x0000016f (0x170) IXBE
        [23] -1 0x0000b400 - 0x0000b4ff (0x100) IXBE
        [24] -1 0x00000374 - 0x00000377 (0x4) IXBE
        [25] -1 0x00000170 - 0x0000017f (0x10) IXBE
        [26] -1 0x000003f4 - 0x000003f7 (0x4) IXBE
        [27] -1 0x000001f0 - 0x000001ff (0x10) IXBE
        [28] -1 0x0000d400 - 0x0000d4ff (0x100) IXBE
        [29] -1 0x0000d800 - 0x0000d8ff (0x100) IXBE
        [30] -1 0x0000d000 - 0x0000d0ff (0x100) IXB(B)
        [31] -1 0x0000b800 - 0x0000b8ff (0x100) IXB(B)
        [32] 0  0x000003b0 - 0x000003bb (0xc) ISB
        [33] 0  0x000003c0 - 0x000003df (0x20) ISB
        [34] 1  0x000003b0 - 0x000003bb (0xc) ISB
        [35] 1  0x000003c0 - 0x000003df (0x20) ISB
(II) Setting vga for screen 0.
(II) Setting vga for screen 1.
(II) Loading sub module "vgahw"
(II) LoadModule: "vgahw"
(II) Loading /usr/X11R6/lib/modules/libvgahw.a
(II) Module vgahw: vendor="The XFree86 Project"
        compiled for 4.0, module version = 0.1.0
        ABI class: XFree86 Video Driver, version 0.1
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Loading /usr/X11R6/lib/modules/linux/libint10.a
(II) Module int10: vendor="The XFree86 Project"
        compiled for 4.0, module version = 1.0.0
        ABI class: XFree86 Video Driver, version 0.1
(II) TDFX(0): Softbooting the board (through the int10 interface).
(II) TDFX(0): Primary V_BIOS segment is: 0xc000
(II) TDFX(0): Softbooting the board succeeded.
(**) TDFX(0): Depth 16, (--) framebuffer bpp 16
(==) TDFX(0): RGB weight 565
(==) TDFX(0): Default visual is TrueColor
(--) TDFX(0): Chipset: "3dfx Voodoo3"
(--) TDFX(0): Linear framebuffer at 0xE4000000
(--) TDFX(0): MMIO registers at addr 0x85684B8
(--) TDFX(0): PIO registers at addr 0xD000
(--) TDFX(0): VideoRAM: 16384 kByte Mapping 32768 kByte
(==) TDFX(0): Using gamma correction (1.0, 1.0, 1.0)
(II) TDFX(0): clock range:  12.00 to 300.00 MHz
(WW) TDFX(0): Mode "1024x768" deleted (bad mode clock/interlace/doublescan)
(WW) TDFX(0): Mode "1280x960" deleted (hsync out of range)
(WW) TDFX(0): Mode "1280x1024" deleted (hsync out of range)
(WW) TDFX(0): Mode "1280x1024" deleted (hsync out of range)
(WW) TDFX(0): Mode "1600x1200" deleted (hsync out of range)
(WW) TDFX(0): Mode "1600x1200" deleted (hsync out of range)
(WW) TDFX(0): Mode "1600x1200" deleted (hsync out of range)
(WW) TDFX(0): Mode "1600x1200" deleted (hsync out of range)
(WW) TDFX(0): Mode "1600x1200" deleted (hsync out of range)
(WW) TDFX(0): Mode "1792x1344" deleted (hsync out of range)
(WW) TDFX(0): Mode "1792x1344" deleted (hsync out of range)
(WW) TDFX(0): Mode "1856x1392" deleted (hsync out of range)
(WW) TDFX(0): Mode "1856x1392" deleted (hsync out of range)
(WW) TDFX(0): Mode "1920x1440" deleted (hsync out of range)
(WW) TDFX(0): Mode "1920x1440" deleted (hsync out of range)
(--) TDFX(0): Virtual size is 1152x864 (pitch 1152)
(**) TDFX(0): Default mode "1152x864": 108.0 MHz, 67.5 kHz, 75.0 Hz
(==) TDFX(0): DPI set to (75, 75)
(II) Loading sub module "cfb16"
(II) LoadModule: "cfb16"
(II) Loading /usr/X11R6/lib/modules/libcfb16.a
(II) Module cfb16: vendor="The XFree86 Project"
        compiled for 4.0, module version = 1.0.0
        ABI class: XFree86 ANSI C Emulation, version 0.1
(II) Loading sub module "cfb"
(II) LoadModule: "cfb"
(II) Loading /usr/X11R6/lib/modules/libcfb.a
(II) Module cfb: vendor="The XFree86 Project"
        compiled for 4.0, module version = 1.0.0
        ABI class: XFree86 ANSI C Emulation, version 0.1
(II) Loading sub module "mfb"
(II) LoadModule: "mfb"
(II) Loading /usr/X11R6/lib/modules/libmfb.a
(II) Module mfb: vendor="The XFree86 Project"
        compiled for 4.0, module version = 1.0.0
        ABI class: XFree86 ANSI C Emulation, version 0.1
(II) Loading sub module "xaa"
(II) LoadModule: "xaa"
(II) Loading /usr/X11R6/lib/modules/libxaa.a
(II) Module xaa: vendor="The XFree86 Project"
        compiled for 4.0, module version = 1.0.0
        ABI class: XFree86 Video Driver, version 0.1
(II) Loading sub module "ramdac"
(II) LoadModule: "ramdac"
(II) Loading /usr/X11R6/lib/modules/libramdac.a
(II) Module ramdac: vendor="The XFree86 Project"
        compiled for 4.0, module version = 0.1.0
        ABI class: XFree86 Video Driver, version 0.1
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Loading /usr/X11R6/lib/modules/libddc.a
(II) Module ddc: vendor="The XFree86 Project"
        compiled for 4.0, module version = 1.0.0
        ABI class: XFree86 Video Driver, version 0.1
(II) Loading sub module "vbe"
(II) LoadModule: "vbe"
(II) Loading /usr/X11R6/lib/modules/libvbe.a
(II) Module vbe: vendor="The XFree86 Project"
        compiled for 4.0, module version = 1.0.0
        ABI class: XFree86 Video Driver, version 0.1
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Reloading /usr/X11R6/lib/modules/linux/libint10.a
(II) TDFX(0): initializing int10
(II) TDFX(0): Primary V_BIOS segment is: 0xc000
(II) TDFX(0): VESA Bios detected
(II) TDFX(0): VESA VBE Version 3.0
(II) TDFX(0): VESA VBE Total Mem: 16384 kB
(II) TDFX(0): VESA VBE OEM: 3dfx Interactive, Inc.
(II) TDFX(0): VESA VBE OEM Software Rev: 2.1
(II) TDFX(0): VESA VBE OEM Vendor: 3dfx Interactive, Inc.
(II) TDFX(0): VESA VBE OEM Product: Voodoo3 2000 LC 
(II) TDFX(0): VESA VBE OEM Product Rev: 210-0382-00X
(II) TDFX(0): VESA VBE DDC supported
(II) TDFX(0): VESA VBE DDC Level  2 
(II) TDFX(0): VESA VBE DDC transfer in appr. 8 sec.
(II) TDFX(0): VESA VBE DDC read successfully
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Reloading /usr/X11R6/lib/modules/libddc.a
Manufacturer: VSC  Model: 5044 Serial#: 899  Year: 2000 Week: 22
EDID Version: 1.2
Analog Display Input,  Input Voltage Level: 0.714/0.286 V
Sync:   Separate   
Max H-Image Size [cm]: horiz.: 32  vert.: 24
Gamma: 2.83
DPMS capabilities:  StandBy Suspend Off ;   RGB/Color Display
First detailed timing is preferred mode
GTF timings supported
redX: 0.642 redY: 0.330   greenX: 0.273 greenY: 0.605
blueX: 0.142 blueY: 0.063   whiteX: 0.283 whiteY: 0.298
Supported VESA Video Modes:
720x400@70Hz
720x400@88Hz
640x480@60Hz
640x480@67Hz
640x480@72Hz
640x480@75Hz
800x600@56Hz
800x600@60Hz
800x600@72Hz
800x600@75Hz
832x624@75Hz
1024x768@87Hz (interlaced)
1024x768@60Hz
1024x768@70Hz
1024x768@75Hz
Manufacturer's mask: 0
Supported Future Video Modes:
#0: hsize: 640  vsize 480  refresh: 85  vid: 22833
#1: hsize: 800  vsize 600  refresh: 85  vid: 22853
#2: hsize: 1280  vsize 960  refresh: 60  vid: 16513
#3: hsize: 1280  vsize 1024  refresh: 60  vid: 32897
Supported additional Video Mode:
clock: 94.5 MHz   Image Size:  300 x 230 mm
h_active: 1024  h_sync: 1072  h_sync_end 1168 h_blank_end 1376 h_border: 0
v_active: 768  v_sync: 769  v_sync_end 772 v_blanking: 808 v_border: 0
Ranges: V min: 50  V max: 160 Hz, H min: 30  H max: 70 kHz, PixClock max
110 MHz
Monitor name: E773
        
Serial No: DP02200899
  
(II) Loading sub module "vgahw"
(II) LoadModule: "vgahw"
(II) Reloading /usr/X11R6/lib/modules/libvgahw.a
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Reloading /usr/X11R6/lib/modules/linux/libint10.a
(II) TDFX(1): Softbooting the board (through the int10 interface).
(II) TDFX(1): Softbooting the board succeeded.
(**) TDFX(1): Depth 16, (--) framebuffer bpp 16
(==) TDFX(1): RGB weight 565
(==) TDFX(1): Default visual is TrueColor
(--) TDFX(1): Chipset: "3dfx Voodoo3"
(--) TDFX(1): Linear framebuffer at 0xE0000000
(--) TDFX(1): MMIO registers at addr 0x86E6760
(--) TDFX(1): PIO registers at addr 0xB800
(--) TDFX(1): VideoRAM: 16384 kByte Mapping 32768 kByte
(==) TDFX(1): Using gamma correction (1.0, 1.0, 1.0)
(II) TDFX(1): clock range:  12.00 to 300.00 MHz
(WW) TDFX(1): Mode "1024x768" deleted (bad mode clock/interlace/doublescan)
(WW) TDFX(1): Mode "1280x960" deleted (hsync out of range)
(WW) TDFX(1): Mode "1280x1024" deleted (hsync out of range)
(WW) TDFX(1): Mode "1280x1024" deleted (hsync out of range)
(WW) TDFX(1): Mode "1600x1200" deleted (hsync out of range)
(WW) TDFX(1): Mode "1600x1200" deleted (hsync out of range)
(WW) TDFX(1): Mode "1600x1200" deleted (hsync out of range)
(WW) TDFX(1): Mode "1600x1200" deleted (hsync out of range)
(WW) TDFX(1): Mode "1600x1200" deleted (hsync out of range)
(WW) TDFX(1): Mode "1792x1344" deleted (hsync out of range)
(WW) TDFX(1): Mode "1792x1344" deleted (hsync out of range)
(WW) TDFX(1): Mode "1856x1392" deleted (hsync out of range)
(WW) TDFX(1): Mode "1856x1392" deleted (hsync out of range)
(WW) TDFX(1): Mode "1920x1440" deleted (hsync out of range)
(WW) TDFX(1): Mode "1920x1440" deleted (hsync out of range)
(--) TDFX(1): Virtual size is 1152x864 (pitch 1152)
(**) TDFX(1): Default mode "1152x864": 108.0 MHz, 67.5 kHz, 75.0 Hz
(==) TDFX(1): DPI set to (75, 75)
(II) Loading sub module "cfb16"
(II) LoadModule: "cfb16"
(II) Reloading /usr/X11R6/lib/modules/libcfb16.a
(II) Loading sub module "cfb"
(II) LoadModule: "cfb"
(II) Reloading /usr/X11R6/lib/modules/libcfb.a
(II) Loading sub module "mfb"
(II) LoadModule: "mfb"
(II) Reloading /usr/X11R6/lib/modules/libmfb.a
(II) Loading sub module "xaa"
(II) LoadModule: "xaa"
(II) Reloading /usr/X11R6/lib/modules/libxaa.a
(II) Loading sub module "ramdac"
(II) LoadModule: "ramdac"
(II) Reloading /usr/X11R6/lib/modules/libramdac.a
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Reloading /usr/X11R6/lib/modules/libddc.a
(II) Loading sub module "vbe"
(II) LoadModule: "vbe"
(II) Reloading /usr/X11R6/lib/modules/libvbe.a
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Reloading /usr/X11R6/lib/modules/linux/libint10.a
(II) TDFX(1): initializing int10
(II) TDFX(1): VESA Bios detected
(II) TDFX(1): VESA VBE Version 3.0
(II) TDFX(1): VESA VBE Total Mem: 16384 kB
(II) TDFX(1): VESA VBE OEM: 3dfx Interactive, Inc.
(II) TDFX(1): VESA VBE OEM Software Rev: 2.1
(II) TDFX(1): VESA VBE OEM Vendor: 3dfx Interactive, Inc.
(II) TDFX(1): VESA VBE OEM Product: Voodoo3 2000 LC 
(II) TDFX(1): VESA VBE OEM Product Rev: 210-0382-00X
(II) TDFX(1): VESA VBE DDC supported
(II) TDFX(1): VESA VBE DDC Level  2 
(II) TDFX(1): VESA VBE DDC transfer in appr. 8 sec.
(II) TDFX(1): VESA VBE DDC read successfully
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Reloading /usr/X11R6/lib/modules/libddc.a
Manufacturer: VSC  Model: 5044 Serial#: 576  Year: 1999 Week: 35
EDID Version: 1.2
Analog Display Input,  Input Voltage Level: 0.714/0.286 V
Sync:   Separate   
Max H-Image Size [cm]: horiz.: 32  vert.: 24
Gamma: 2.83
DPMS capabilities:  StandBy Suspend Off ;   RGB/Color Display
First detailed timing is preferred mode
GTF timings supported
redX: 0.642 redY: 0.330   greenX: 0.273 greenY: 0.605
blueX: 0.142 blueY: 0.063   whiteX: 0.283 whiteY: 0.298
Supported VESA Video Modes:
720x400@70Hz
720x400@88Hz
640x480@60Hz
640x480@67Hz
640x480@72Hz
640x480@75Hz
800x600@56Hz
800x600@60Hz
800x600@72Hz
800x600@75Hz
832x624@75Hz
1024x768@87Hz (interlaced)
1024x768@60Hz
1024x768@70Hz
1024x768@75Hz
Manufacturer's mask: 0
Supported Future Video Modes:
#0: hsize: 640  vsize 480  refresh: 85  vid: 22833
#1: hsize: 800  vsize 600  refresh: 85  vid: 22853
#2: hsize: 1280  vsize 960  refresh: 60  vid: 16513
#3: hsize: 1280  vsize 1024  refresh: 60  vid: 32897
Supported additional Video Mode:
clock: 94.5 MHz   Image Size:  300 x 230 mm
h_active: 1024  h_sync: 1072  h_sync_end 1168 h_blank_end 1376 h_border: 0
v_active: 768  v_sync: 769  v_sync_end 772 v_blanking: 808 v_border: 0
Ranges: V min: 50  V max: 160 Hz, H min: 30  H max: 70 kHz, PixClock max
110 MHz
Monitor name: E773
        
Serial No: DP93500576
  
(II) do I need RAC?  Yes, I do.
(II) LoadModule: "rac"
(II) Loading /usr/X11R6/lib/modules/librac.a
(II) Module rac: vendor="The XFree86 Project"
        compiled for 4.0, module version = 1.0.0
        ABI class: XFree86 Video Driver, version 0.1
(II) resource ranges after preInit:
        [0] 1   0xe0000000 - 0xe1ffffff (0x2000000) MSB
        [1] 1   0xd2000000 - 0xd3ffffff (0x2000000) MSB
        [2] 0   0xe4000000 - 0xe5ffffff (0x2000000) MSB
        [3] 0   0xd4000000 - 0xd5ffffff (0x2000000) MSB
        [4] -1  0xffe00000 - 0xffffffff (0x200000) MXB(B)
        [5] -1  0xfee00000 - 0xfeefffff (0x100000) MXB(B)
        [6] -1  0xfec00000 - 0xfecfffff (0x100000) MXB(B)
        [7] -1  0x00100000 - 0x3fffffff (0x3ff00000) MXBE(B)
        [8] -1  0x000f0000 - 0x000fffff (0x10000) MXB
        [9] -1  0x000c0000 - 0x000effff (0x30000) MXB
        [10] -1 0x00000000 - 0x0009ffff (0xa0000) MXB
        [11] -1 0xd6800000 - 0xd6ffffff (0x800000) MXBE
        [12] -1 0xd7000000 - 0xd7ffffff (0x1000000) MXBE
        [13] -1 0xd8000000 - 0xdfffffff (0x8000000) MXBE
        [14] -1 0x000c0000 - 0x000cffff (0x10000) MXB(B)
        [15] -1 0xe4000000 - 0xe5ffffff (0x2000000) MXB(B)
        [16] -1 0xd4000000 - 0xd5ffffff (0x2000000) MXB(B)
        [17] -1 0xdfff0000 - 0xdfffffff (0x10000) MXB(B)
        [18] -1 0xe0000000 - 0xe1ffffff (0x2000000) MXB(B)
        [19] -1 0xd2000000 - 0xd3ffffff (0x2000000) MXB(B)
        [20] 0  0x000a0000 - 0x000affff (0x10000) MSB
        [21] 0  0x000b0000 - 0x000b7fff (0x8000) MSB
        [22] 0  0x000b8000- 0x000bffff (0x8000) MSB
        [23] 1  0x000a0000 - 0x000affff (0x10000) MSB
        [24] 1  0x000b0000 - 0x000b7fff (0x8000) MSB
        [25] 1  0x000b8000 - 0x000bffff (0x8000) MSB
        [26] 1  0x0000b800 - 0x0000b8ff (0x100) ISB
        [27] 0  0x0000d000 - 0x0000d0ff (0x100) ISB
        [28] -1 0x00000000 - 0x0000016f (0x170) IXBE
        [29] -1 0x0000b400 - 0x0000b4ff (0x100) IXBE
        [30] -1 0x00000374 - 0x00000377 (0x4) IXBE
        [31] -1 0x00000170 - 0x0000017f (0x10) IXBE
        [32] -1 0x000003f4 - 0x000003f7 (0x4) IXBE
        [33] -1 0x000001f0 - 0x000001ff (0x10) IXBE
        [34] -1 0x0000d400 - 0x0000d4ff (0x100) IXBE
        [35] -1 0x0000d800 - 0x0000d8ff (0x100) IXBE
        [36] -1 0x0000d000 - 0x0000d0ff (0x100) IXB(B)
        [37] -1 0x0000b800 - 0x0000b8ff (0x100) IXB(B)
        [38] 0  0x000003b0 - 0x000003bb (0xc) ISB
        [39] 0  0x000003c0 - 0x000003df (0x20) ISB
        [40] 1  0x000003b0 - 0x000003bb (0xc) ISB
        [41] 1  0x000003c0 - 0x000003df (0x20) ISB
(==) TDFX(0): Write-combining range (0xe4000000,0x2000000)
(II) TDFX(0): Changing back offset from 0x00c33000 to 0x00c32000
(II) TDFX(0): Cursor Offset: [0x00000000,0x00000400)
(II) TDFX(0): Fifo Offset: [0x00001000, 0x00041000)
(II) TDFX(0): Texture Offset: [0x00041000, 0x00A04000)
(II) TDFX(0): Front Buffer Offset: [0x00A04000, 0x00C32000)
(II) TDFX(0): BackOffset: [0x00C32000, 0x00E18000)
(II) TDFX(0): DepthOffset: [0x00E19000, 0x00FFF000)
(II) TDFX(0): Textures Memory 9.76 MB
(0): [drm] loaded kernel module "tdfx"
(0): [drm] created "tdfx" driver at busid "PCI:0:11:0"
(0): [drm] added 4096 byte SAREA at 0xc2eee000
(0): [drm] mapped SAREA 0xc2eee000 to 0x40018000
(0): [drm] framebuffer handle = 0xe4000000
(0): [drm] added 1 reserved context for kernel
(II) TDFX(0): [drm] Registers = 0xd4000000
Created 16 visuals
(II) TDFX(0): visual configs initialized
(II) TDFX(0): Using XFree86 Acceleration Architecture (XAA)
        Screen to screen bit blits
        Solid filled rectangles
        8x8 mono pattern filled rectangles
        Indirect CPU to Screen color expansion
        Solid Lines
        Dashed Lines
        Offscreen Pixmaps
        Driver provided NonTEGlyphRenderer replacement
        Setting up tile and stipple cache:
                9 128x128 slots
(==) TDFX(0): Backing store disabled
(==) TDFX(0): Silken mouse enabled
(0): X context handle = 0x00000001
(0): [drm] installed DRM signal handler
(0): [DRI] installation complete
(II) TDFX(0): direct rendering enabled
(==) TDFX(1): Write-combining range (0xe0000000,0x2000000)
(II) TDFX(1): Changing back offset from 0x00c33000 to 0x00c32000
(II) TDFX(1): Cursor Offset: [0x00000000,0x00000400)
(II) TDFX(1): Fifo Offset: [0x00001000, 0x00041000)
(II) TDFX(1): Texture Offset: [0x00041000, 0x00A04000)
(II) TDFX(1): Front Buffer Offset: [0x00A04000, 0x00C32000)
(II) TDFX(1): BackOffset: [0x00C32000, 0x00E18000)
(II) TDFX(1): DepthOffset: [0x00E19000, 0x00FFF000)
(II) TDFX(1): Textures Memory 9.76 MB
(II) TDFX(1): Using XFree86 Acceleration Architecture (XAA)
        Screen to screen bit blits
        Solid filled rectangles
        8x8 mono pattern filled rectangles
        Indirect CPU to Screen color expansion
        Solid Lines
        Dashed Lines
        Offscreen Pixmaps
        Driver provided NonTEGlyphRenderer replacement
        Setting up tile and stipple cache:
                9 128x128 slots
(==) TDFX(1): Backing store disabled
(==) TDFX(1): Silken mouse enabled
(II) TDFX(1): direct rendering disabled
(II) Setting vga for screen 0.
(II) Setting vga for screen 1.
(II) Screen 0 shares mem & io resources
(II) Screen 1 shares mem & io resources
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension LBX
(II) Initializing built-in extension XC-APPGROUP
(II) Initializing built-in extension SECURITY
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFree86-Bigfont
(**) Option "Protocol" "PS/2"
(**) Mouse0: Protocol: "PS/2"
(**) Option "CorePointer"
(**) Mouse0: Core Pointer
(**) Option "Device" "/dev/mouse"
(==) Mouse0: Buttons: 3
(**) Option "Emulate3Buttons" "off"
(**) Option "ZAxisMapping" "4 5"
(**) Mouse0: ZAxisMapping: buttons 4 and 5
(II) Keyboard "Keyboard0" handled by legacy driver
(II) XINPUT: Adding extended input device "Mouse0" (type: MOUSE)
Resetting FIFO
Resetting FIFO
Resetting FIFO
Resetting FIFO
Resetting FIFO
Resetting FIFO
Resetting FIFO
Resetting FIFO
Resetting FIFO
Resetting FIFO
Resetting FIFO
Resetting FIFO
Resetting FIFO
Resetting FIFO
Resetting FIFO
Resetting FIFO
Resetting FIFO
Resetting FIFO
Resetting FIFO
Resetting FIFO
Resetting FIFO
Resetting FIFO
Resetting FIFO
Resetting FIFO
Resetting FIFO
Resetting FIFO
Resetting FIFO
Resetting FIFO
Resetting FIFO
Resetting FIFO
Resetting FIFO
Resetting FIFO
Resetting FIFO
Resetting FIFO
Resetting FIFO
Resetting FIFO
Resetting FIFO
Resetting FIFO
Resetting FIFO
Resetting FIFO
Resetting FIFO





# XFree86 4.0 configuration generated by Xconfigurator

Section "ServerLayout"
        Identifier      "XFree86 Configured"
        Screen          "Screen0" LeftOf "Screen1"
        Screen          "Screen1" RightOf  "Screen0"
        InputDevice     "Mouse0" "CorePointer"
        InputDevice     "Keyboard0" "CoreKeyboard"
EndSection

Section "Files"
        FontPath "unix/:7100"
EndSection

Section "Module"
        Load  "GLcore"
        Load  "dbe"
        Load  "dri"
        Load  "extmod"
        Load  "glx"
        Load  "pex5"
        Load  "record"
        Load  "xie"
EndSection

Section "InputDevice"
        Identifier  "Keyboard0"
        Driver      "keyboard"
        Option  "XkbLayout"     "us"
EndSection

Section "InputDevice"
        Identifier  "Mouse0"
   Driver      "mouse"
        Option      "Device" "/dev/mouse"
        Option      "Protocol" "PS/2"
        Option      "Emulate3Buttons" "off"
        Option      "ZAxisMapping" "4 5"
EndSection

Section "Monitor"
        Identifier "Monitor0"
        VendorName "ViewSonic"
        ModelName  "E773"
        HorizSync 30 - 70
        VertRefresh 50 - 160
EndSection

Section "Monitor"
        Identifier "Monitor1"
        VendorName "ViewSonic"
        ModelName  "E773"
        HorizSync 30 - 70
        VertRefresh 50 - 160
EndSection

Section "Device"
        Identifier "3Dfx Interactive, Inc.|Voodoo 3_A"
        Driver "tdfx"
        BoardName "Unknown"
        BusID   "PCI:0:11:0"
EndSection

Section "Device"
        Identifier "3Dfx Interactive, Inc.|Voodoo 3_B"
        Driver "tdfx"
        BoardName "Unknown"
        BusID   "PCI:0:12:0"
EndSection

Section "Screen"
        Identifier "Screen0"
        Device "3Dfx Interactive, Inc.|Voodoo 3_A"
        Monitor "Monitor0"
        Subsection "Display"
                Depth 16
                Modes "1152x864"
        EndSubSection
        DefaultColorDepth 16
EndSection

Section "Screen"
        Identifier "Screen1"
        Device "3Dfx Interactive, Inc.|Voodoo 3_B"
        Monitor "Monitor1"
        Subsection "Display"
                Depth 16
                Modes "1152x864"
        EndSubSection
        DefaultColorDepth 16
EndSection

Section "DRI"
EndSection
Comment 1 zwhitley 2000-08-30 14:07:38 EDT
It works fine in 8bpp and 24bpp but has problems with 16bpp.
Comment 2 Preston Brown 2000-09-11 14:58:14 EDT
we don't officially support Xinerama at this time.

Note You need to log in before you can comment on or make changes to this bug.